ENV(1)

NAME
env - run a program in a modified environment

SYNOPSIS
env [-] [-i] [-u name] [--ignore-environment] [--unset=name] [--help] [--version] [name=value]... [command [args...]]
env

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of env. env runs a command with an environment modified as specified by the command line arguments. Arguments of the form `variable=value' set the environment variable variable to value value. value may be empty (`variable='). Setting a variable to an empty value is different from unsetting it.

The first remaining argument specifies a program to invoke; it is searched for according to the specification of the PATH environment variable. Any arguments following that are passed as arguments to that program.

If no command name is specified following the environment specifications, the resulting environment is printed. This is like specifying a command name of `printenv'.

  OPTIONS

--help
    Print a usage message on standard output and exit successfully.

-u, --unset name
    Remove variable name from the environment, if it was in the environment.

-, -i, --ignore-environment
    Start with an empty environment, ignoring the inherited environment.

--version
    Print version information on standard output then exit successfully.